Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage Struct Reference

`#include <FunctionDAG.h>`

## Public Member Functions

bool | downstream_of (const Node &n) const
| Stage (Halide::Stage s)
bool | downstream_of (const Node &n) const
| Stage (Halide::Stage s)
int | get_loop_index_from_var (const std::string &var) const

## Public Attributes

Node * | node
int | index
vector< Loop > | loop
bool | loop_nest_all_common_cases = false
int | vector_size
PipelineFeatures | features
Halide::Stage | stage
string | name
int | id
int | max_id
vector< Edge * > | incoming_edges
vector< bool > | dependencies
string | sanitized_name
std::unique_ptr< LoadJacobian > | store_jacobian

## Detailed Description

Definition at line 448 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## Stage() [1/2]

Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::Stage | ( | Halide::Stage | s | ) |

inline explicit

Definition at line 483 of file FunctionDAG.h.

References stage.

## Stage() [2/2]

Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::Stage | ( | Halide::Stage | s | ) |

inline explicit

Definition at line 514 of file FunctionDAG.h.

References stage.

## Member Function Documentation

## downstream_of() [1/2]

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::downstream_of | ( | const Node & | n | ) | const

inline

Definition at line 479 of file FunctionDAG.h.

References dependencies, and Halide::Internal::Autoscheduler::FunctionDAG::Node::id.

## downstream_of() [2/2]

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::downstream_of | ( | const Node & | n | ) | const

inline

Definition at line 510 of file FunctionDAG.h.

References dependencies.

## get_loop_index_from_var()

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::get_loop_index_from_var | ( | const std::string & | var | ) | const

inline

Definition at line 518 of file FunctionDAG.h.

References loop.

## Member Data Documentation

## node

Node * Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::node

Definition at line 450 of file FunctionDAG.h.

## index

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::index

Definition at line 453 of file FunctionDAG.h.

## loop

vector< Loop > Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::loop

Definition at line 456 of file FunctionDAG.h.

Referenced by get_loop_index_from_var().

## loop_nest_all_common_cases

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::loop_nest_all_common_cases = false

Definition at line 457 of file FunctionDAG.h.

## vector_size

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::vector_size

Definition at line 462 of file FunctionDAG.h.

## features

PipelineFeatures Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::features

Definition at line 465 of file FunctionDAG.h.

## stage

Halide::Stage Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::stage

Definition at line 468 of file FunctionDAG.h.

Referenced by Stage().

## name

string Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::name

Definition at line 471 of file FunctionDAG.h.

## id

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::id

Definition at line 474 of file FunctionDAG.h.

## max_id

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::max_id

Definition at line 474 of file FunctionDAG.h.

## incoming_edges

vector< Edge * > Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::incoming_edges

Definition at line 476 of file FunctionDAG.h.

## dependencies

vector< bool > Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::dependencies

Definition at line 478 of file FunctionDAG.h.

Referenced by downstream_of().

## sanitized_name

string Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::sanitized_name

Definition at line 500 of file FunctionDAG.h.

## store_jacobian

std::unique_ptr<LoadJacobian> Halide::Internal::Autoscheduler::FunctionDAG::Node::Stage::store_jacobian

Definition at line 505 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h